View Issue Details

IDProjectCategoryLast Update
0015641AI War 1 / ClassicSuggestion - Interface Ideas - Unit Selection, Management, and OrdersAug 8, 2014 11:01 pm
ReporterAdamMilAssigned To 
Severitymajor 
Status newResolutionopen 
Product Version7.055 
Fixed in Version 
Summary0015641: Retain unit selections and give orders whilst viewing other planets
DescriptionI would very much like to be able to queue up a deep strike on a tough system by selecting the fleet, going to the planet, shift-right-clicking all the targets (see also 0015636 and 0015637), and shift-right-clicking the planet I want them to retreat to in the galaxy view. That way, I could give them orders for the entire raid without having to babysit them and then get on with the next thing I want to do, controlling a second fleet perhaps. Currently I have to give my ships the order to move, wait for them to arrive, try to quickly assign their targets before they get blown up, wait for them to finish, and try to quickly give them the retreat orders back to my own planet.

Also, I would like to be able to see the selected ships in the galaxy view. (See 0015640.) I often like to remain in the galaxy view to get an overview of everything that's happening, especially if I'm fighting on one planet while a CPA (or whatever) is working its way to my systems. Keeping the selected ships visible would let me monitor their health and instantly retreat them by right-clicking on a planet.

As for how to distinguish when you have ships selected on another planet, you can simply have the box say "Selected: 512 (on PlanetName)" if they're on a planet besides the current one (and use the usual "Selected: 512" if they're on the same planet). This prevents potential confusion about where the selected ships are.

Before this gets insta-closed, this feature does /not/ imply the need to have ships selected across multiple systems simultaneously. I think almost everyone agrees that shouldn't be allowed. It's a completely separate issue from whether you can "retain unit selections and give orders whilst viewing other planets". Neither does this feature require you to "interact with stuff you can't see". In fact, this proposal would actually /eliminate/ cases where the game currently makes you interact with ships you can't see.
TagsNo tags attached.
Internal Weight

Relationships

related to 0015636 new right-clicking enemy ships in the planet overview/summary should attack them 
related to 0015637 new clicking an enemy or ally in the planet overview/summary deselects your ships 
related to 0006797 closedx4000Bughunter Retain unit selections and give orders whilst viewing other planets 
related to 0015640 new show selected ships in galaxy view 

Activities

AdamMil

Aug 8, 2014 11:01 pm

reporter   ~0038927

Last edited: Aug 20, 2014 7:05 pm

View 2 revisions

I realize now that the game currently doesn't have a single selection, but actually stores selections on a per-planet basis, so each planet can have its own set of selected ships. That presents a minor conflict, but I think it could be easily resolved.

Do people frequently use this feature (per-planet selections)? I guess it's sometimes useful.

Issue History

Date Modified Username Field Change
Aug 7, 2014 6:01 am AdamMil New Issue
Aug 7, 2014 6:01 am AdamMil Relationship added related to 0006797
Aug 7, 2014 6:01 am AdamMil Relationship added related to 0015640
Aug 7, 2014 6:03 am AdamMil Description Updated View Revisions
Aug 7, 2014 6:04 am AdamMil Severity minor => major
Aug 7, 2014 6:04 am AdamMil Description Updated View Revisions
Aug 7, 2014 6:05 am AdamMil Description Updated View Revisions
Aug 7, 2014 6:05 am AdamMil Relationship added related to 0015636
Aug 7, 2014 6:05 am AdamMil Relationship added related to 0015637
Aug 7, 2014 9:39 am AdamMil Description Updated View Revisions
Aug 7, 2014 9:42 am AdamMil Description Updated View Revisions
Aug 8, 2014 11:01 pm AdamMil Note Added: 0038927
Aug 20, 2014 7:05 pm AdamMil Note Edited: 0038927 View Revisions